Import Resource
PUT
https://api.vercel.com/v1/installations/{integrationConfigurationId}/resources/{resourceId}This endpoint imports (upserts) a resource to Vercel's installation. This may be needed if resources can be independently created on the partner's side and need to be synchronized to Vercel. When importing as part of the user-initiated import flow, call this endpoint before redirecting the user back to Vercel. See the Import existing resources flow for the full contract.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.marketplace.importResource({ integrationConfigurationId: "<id>", resourceId: "<id>", });
console.log(result);}
run();Response
{ "name": "Example Name"}AuthorizationbearerToken
Default authentication mechanism
application/json